Bug 593077 - Current version of TOR is not recommended. Upgrade available.
Current version of TOR is not recommended. Upgrade available.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
13
All Linux
high Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 14:56 EDT by eric@christensenplace.us
Modified: 2011-06-27 12:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2010-05-17 14:56:55 EDT
Description of problem: There appears to be an upgrade to Tor that is recommended.

May 17 14:49:28.102 [warn] Please upgrade! This version of Tor (0.2.1.24) is not recommended, according to the directory authorities. Recommended versions are: 0.2.0.35,0.2.1.19,0.2.1.20,0.2.1.21,0.2.1.22,0.2.1.25,0.2.1.26,0.2.2.1-alpha,0.2.2.2-alpha,0.2.2.3-alpha,0.2.2.4-alpha,0.2.2.5-alpha,0.2.2.6-alpha,0.2.2.7-alpha,0.2.2.8-alpha,0.2.2.10-alpha,0.2.2.11-alpha,0.2.2.12-alpha,0.2.2.13-alpha

Version-Release number of selected component (if applicable): tor-0.2.1.24-1301.fc13.x86_64
Comment 1 D. Wagner 2010-11-26 20:13:08 EST
On Fedora 14, it looks like tor now has a more recent version, from the recommended list you mentioned.  Should this bug report be closed as fixed?

$ rpm -q tor tor-core tor-lsb
tor-0.2.1.26-1400.fc14.x86_64
tor-core-0.2.1.26-1400.fc14.x86_64
tor-lsb-0.2.1.26-1400.fc14.noarch
Comment 2 eric@christensenplace.us 2010-11-27 09:09:25 EST
Actually TOR is up to 0.2.1.27, now.  Man this program changes quickly.

https://www.torproject.org/download/download.html.en

And the Release Notes look like they make some fairly significant bug fixes.

https://gitweb.torproject.org/tor.git/blob/release-0.2.1:/ChangeLog
Comment 4 eric@christensenplace.us 2010-11-27 11:27:47 EST
error: Failed dependencies:
	tor-lsb = 0.2.1.27-1400.fc14 is needed by tor-0.2.1.27-1400.fc14.i686
Comment 6 Enrico Scholz 2010-11-27 12:15:20 EST
@comment 5:

to guarantee the upgrade path (e.g. when f13 gets it karma before f14, or there is needed a rebuild, lower fedora version might have a more recent package).


@comment 4:

how did you tested this?  afais, the updates are still pending and the updates-testing repository does not have the new version yet
Comment 7 Christoph Wickert 2010-11-27 12:45:22 EST
(In reply to comment #6)
> to guarantee the upgrade path (e.g. when f13 gets it karma before f14, or there
> is needed a rebuild, lower fedora version might have a more recent package).

You hardly get feedback for the updates and mention automatic pushes as a reason for your versioning? That does not mix and it is very unlikely that the old package gets more feedback than the one from the recent release (look at the problems we are having now with F12 and to some extent bug continuously rising with F13, ).

IMHO you should never rely on automatic pushes but take care of the upgrade path manually.

In case of a rebuild on the older Fedora release you are supposed to add a number after the disttag, see http://fedoraproject.org/wiki/PackageNamingGuidelines#Minor_release_bumps_for_old_branches
Comment 8 Bug Zapper 2011-06-02 09:54:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 12:26:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.